at.chipkarte.client.prop.soap

## Class Befund

- Object
- - at.chipkarte.client.prop.soap.Befund

-     public class Befund
      extends Object

  Beinhaltet einen kompletten Präoperativen Befund.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Befund()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAusstellung()` Ausstellungszeitpunkt.
    `EkvkPatient` | `getEkvkPatient()` Daten eines Patienten ohne SV-Nummer.
    `BefundData` | `getErgebnis()` Fachliches Ergebnis (`Befunddaten`) für diesen Befund.
    `Ersteller` | `getErsteller()` Daten zum Vertragspartner und dem Arzt der Erstellung.
    `String` | `getKennung()` Für den Patienten eindeutige Kennung des Befundes.
    `Konsultation` | `getKonsultation()` Die `Konsultation`, mit der dieser Befund verbunden ist.
    `String` | `getProtokollnummer()` Protokollnummer - eindeutiger Bezeichner des Befundes.
    `SvPatient` | `getSvPatient()` Der `SvPatient`, für den der Befund erstellt wurde.
    `Integer` | `getVersion()` Version der Fachinformation.
    `String` | `getVersionGiltSeit()` Datum seit dem die Version der Fachinformation Gültigkeit hat.
    `Boolean` | `isSelbsterstellt()` `true`, falls es sich um einen selbsterstellten Befund handelt.
    `void` | `setAusstellung(String ausstellung)`
    `void` | `setEkvkPatient(EkvkPatient ekvkPatient)`
    `void` | `setErgebnis(BefundData ergebnis)`
    `void` | `setErsteller(Ersteller ersteller)`
    `void` | `setKennung(String kennung)`
    `void` | `setKonsultation(Konsultation konsultation)`
    `void` | `setProtokollnummer(String protokollnummer)`
    `void` | `setSelbsterstellt(Boolean selbsterstellt)`
    `void` | `setSvPatient(SvPatient patient)`
    `void` | `setVersion(Integer version)`
    `void` | `setVersionGiltSeit(String versionGiltSeit)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Befund

          public Befund()

  - ### Method Detail

    - #### getErgebnis

          public BefundData getErgebnis()

      Fachliches Ergebnis (`Befunddaten`) für diesen Befund.
      Returns:
        Befunddaten.

    - #### setErgebnis

          public void setErgebnis(BefundData ergebnis)

    - #### getSvPatient

          public SvPatient getSvPatient()

      Der `SvPatient`, für den der Befund erstellt wurde.
      Returns:
        SvPatient

    - #### setSvPatient

          public void setSvPatient(SvPatient patient)

    - #### getKennung

          public String getKennung()

      Für den Patienten eindeutige Kennung des Befundes. Nur versorgt, wenn der Befund gespeichert wurde.
      Format: 5-stellig
      Returns:
        Kennung

    - #### setKennung

          public void setKennung(String kennung)

    - #### getProtokollnummer

          public String getProtokollnummer()

      Protokollnummer - eindeutiger Bezeichner des Befundes. Besteht aus SV-Nummer und Kennung. Nur versorgt, wenn der Befund gespeichert wurde.
      Format: max. 16-stellig
      Returns:
        Protokollnummer
      See Also:
        `SvPatient.getSvNummer()`, `Befund.getKennung()`

    - #### setProtokollnummer

          public void setProtokollnummer(String protokollnummer)

    - #### getKonsultation

          public Konsultation getKonsultation()

      Die `Konsultation`, mit der dieser Befund verbunden ist. Nur versorgt, wenn der durchführende Vertragspartner der Aktion gleich dem Vertragspartner der Konsultation ist und bei der Erfassung des Präoperativen Befundes eine Konsultation angegeben wurde.
      Returns:
        Konsultation

    - #### setKonsultation

          public void setKonsultation(Konsultation konsultation)

    - #### getVersion

          public Integer getVersion()

      Version der Fachinformation.
      Format: max. 3-stellig
      Returns:
        Version

    - #### setVersion

          public void setVersion(Integer version)

    - #### getAusstellung

          public String getAusstellung()

      Ausstellungszeitpunkt.
      Format: TT.MM.JJJJ hh:mm:sss
      Returns:
        Datum der Ausstellung

    - #### setAusstellung

          public void setAusstellung(String ausstellung)

    - #### isSelbsterstellt

          public Boolean isSelbsterstellt()

      `true`, falls es sich um einen selbsterstellten Befund handelt.
      Returns:
        Kennzeichen ob es sich um einen selbsterstellen Befund handelt

    - #### setSelbsterstellt

          public void setSelbsterstellt(Boolean selbsterstellt)

    - #### getEkvkPatient

          public EkvkPatient getEkvkPatient()

      Daten eines Patienten ohne SV-Nummer.
      Returns:
        EkvkPatient
      See Also:
        `EkvkPatient`

    - #### setEkvkPatient

          public void setEkvkPatient(EkvkPatient ekvkPatient)

    - #### getVersionGiltSeit

          public String getVersionGiltSeit()

      Datum seit dem die Version der Fachinformation Gültigkeit hat.
      Format: TT.MM.JJJJ
      Returns:
        Datum der Gültigkeit der Version

    - #### setVersionGiltSeit

          public void setVersionGiltSeit(String versionGiltSeit)

    - #### getErsteller

          public Ersteller getErsteller()

      Daten zum Vertragspartner und dem Arzt der Erstellung.
      Returns:
        Ersteller
      See Also:
        `Ersteller`

    - #### setErsteller

          public void setErsteller(Ersteller ersteller)